/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.constants;

import com.liferay.petra.string.StringBundler;

/**
 * @author Feliphe Marinho
 */
public class ObjectSAPConstants {

	public static final String ALLOWED_SERVICE_SIGNATURES =
		StringBundler.concat(
			ObjectSAPConstants.CLASS_NAME_OBJECT_ENTRY_RESOURCE,
			"#getByExternalReferenceCode\n",
			ObjectSAPConstants.CLASS_NAME_OBJECT_ENTRY_RESOURCE,
			"#getObjectEntriesPage\n",
			ObjectSAPConstants.CLASS_NAME_OBJECT_ENTRY_RESOURCE,
			"#getObjectEntry\n",
			ObjectSAPConstants.CLASS_NAME_OBJECT_ENTRY_RESOURCE,
			"#postObjectEntry\n",
			ObjectSAPConstants.CLASS_NAME_OBJECT_ENTRY_RESOURCE,
			"#postScopeScopeKey");

	public static final String CLASS_NAME_OBJECT_ENTRY_RESOURCE =
		"com.liferay.object.rest.internal.resource.v1_0." +
			"ObjectEntryResourceImpl";

	public static final String SAP_ENTRY_NAME = "OBJECT_DEFAULT";

}