/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.service;

import com.liferay.portal.kernel.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link ObjectViewSortColumnService}.
 *
 * @author Marco Leo
 * @see ObjectViewSortColumnService
 * @generated
 */
public class ObjectViewSortColumnServiceWrapper
	implements ObjectViewSortColumnService,
			   ServiceWrapper<ObjectViewSortColumnService> {

	public ObjectViewSortColumnServiceWrapper() {
		this(null);
	}

	public ObjectViewSortColumnServiceWrapper(
		ObjectViewSortColumnService objectViewSortColumnService) {

		_objectViewSortColumnService = objectViewSortColumnService;
	}

	/**
	 * Returns the OSGi service identifier.
	 *
	 * @return the OSGi service identifier
	 */
	@Override
	public String getOSGiServiceIdentifier() {
		return _objectViewSortColumnService.getOSGiServiceIdentifier();
	}

	@Override
	public ObjectViewSortColumnService getWrappedService() {
		return _objectViewSortColumnService;
	}

	@Override
	public void setWrappedService(
		ObjectViewSortColumnService objectViewSortColumnService) {

		_objectViewSortColumnService = objectViewSortColumnService;
	}

	private ObjectViewSortColumnService _objectViewSortColumnService;

}